Skip to main content
PATCH
Update a sidecar for a Neki branch

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

sidecar
string
required

ID from list_sidecars, or the configuration profile name.

Body

application/json
parameters
object

Sidecar parameters nested by namespace (e.g., {"sidecar": {"pool-capacity": "100"}})

Response

Returns the sidecar

id
string
required

The ID of the sidecar

configuration_profile
string
required

The name of the shard configuration profile the sidecar belongs to

state
enum<string>
required

The current state of the sidecar

Available options:
pending,
applying,
ready
created_at
string
required

When the sidecar was created

updated_at
string
required

When the sidecar was last updated